Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::ConstructionPolicy Class Reference

`#include <DomainC.h>`

Inheritance diagram for CORBA::ConstructionPolicy:

[legend]
Collaboration diagram for CORBA::ConstructionPolicy:

[legend]
List of all members.

## Public Types
typedef ConstructionPolicy_ptr | _ptr_type
typedef ConstructionPolicy_var | _var_type
## Public Methods
virtual void | make_domain_manager (CORBA::InterfaceDef_ptr object_type, CORBA::Boolean constr_policy ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
ConstructionPolicy_ptr | _duplicate (ConstructionPolicy_ptr obj)
ConstructionPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
ConstructionPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ConstructionPolicy_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| ConstructionPolicy (int collocated=0)
virtual void | CORBA_ConstructionPolicy_setup_collocation (int collocated)
| ConstructionPolicy (IOP::IOR *ior, TAO_ORB_Core *orb_core=0)
| ConstructionPolicy (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0, TAO_ORB_Core *orb_core=0)
virtual | ~ConstructionPolicy (void)
## Private Methods
| ConstructionPolicy (const ConstructionPolicy &)
void | operator= (const ConstructionPolicy &)
## Private Attributes
TAO::Collocation_Proxy_Broker * | the_TAO_ConstructionPolicy_Proxy_Broker_
## Friends
class | TAO::Narrow_Utils< ConstructionPolicy >

## Member Typedef Documentation

typedef ConstructionPolicy_ptr CORBA::ConstructionPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ConstructionPolicy_var CORBA::ConstructionPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

CORBA::ConstructionPolicy::ConstructionPolicy | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE CORBA::ConstructionPolicy::ConstructionPolicy | ( | IOP::IOR * | ior,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ACE_INLINE CORBA::ConstructionPolicy::ConstructionPolicy | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

CORBA::ConstructionPolicy::~ConstructionPolicy | ( | void |  | ) | `[protected, virtual]`

CORBA::ConstructionPolicy::ConstructionPolicy | ( | const ConstructionPolicy & |  | ) | `[private]`

## Member Function Documentation

CORBA::ConstructionPolicy_ptr CORBA::ConstructionPolicy::_duplicate | ( | ConstructionPolicy_ptr | obj | ) | `[static]`

const char * CORBA::ConstructionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Policy.

virtual CORBA::Boolean CORBA::ConstructionPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ConstructionPolicy_ptr CORBA::ConstructionPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Policy.

ConstructionPolicy_ptr CORBA::ConstructionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Policy.

void CORBA::ConstructionPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Policy.

ConstructionPolicy_ptr CORBA::ConstructionPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void CORBA::ConstructionPolicy::CORBA_ConstructionPolicy_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

void CORBA::ConstructionPolicy::make_domain_manager | ( | CORBA::InterfaceDef_ptr | object_type,
|  | CORBA::Boolean constr_policy | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[virtual]`

CORBA::Boolean CORBA::ConstructionPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Policy.

void CORBA::ConstructionPolicy::operator= | ( | const ConstructionPolicy & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class TAO::Narrow_Utils< ConstructionPolicy >`[friend]`

## Member Data Documentation

TAO::Collocation_Proxy_Broker* CORBA::ConstructionPolicy::the_TAO_ConstructionPolicy_Proxy_Broker_`[private]`

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.cpp
- DomainC.i